> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Helm Charts Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/charts
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts:
    get:
      tags:
        - Helm API
      summary: List Helm Charts Endpoint
      operationId: list_helm_charts_endpoint_api_v1_org_helm_charts_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            title: Search
        - in: query
          name: connected
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Connected
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListHelmChartResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListHelmChartResult:
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        result:
          items:
            $ref: '#/components/schemas/ChartVersion'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ListHelmChartResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ChartVersion:
      properties:
        app_version:
          anyOf:
            - type: string
            - type: 'null'
          title: App Version
        created:
          anyOf:
            - format: date-time
              type: string
            - type: string
            - type: 'null'
          title: Created
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        digest:
          title: Digest
          type: string
        home_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Home Url
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        is_deprecated:
          default: false
          title: Is Deprecated
          type: boolean
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
        maintainers:
          anyOf:
            - items:
                $ref: '#/components/schemas/Maintainer'
              type: array
            - type: 'null'
          title: Maintainers
        name:
          title: Name
          type: string
        package_url:
          title: Package Url
          type: string
        readme_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Readme S3 Link
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        registry_name:
          title: Registry Name
          type: string
        registry_url:
          title: Registry Url
          type: string
        sources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sources
        tgz_s3_link:
          title: Tgz S3 Link
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        values_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values S3 Link
        values_schema_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values Schema S3 Link
        version:
          title: Version
          type: string
      required:
        - name
        - version
        - package_url
        - digest
        - registry_name
        - registry_url
        - tgz_s3_link
      title: ChartVersion
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    Maintainer:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      title: Maintainer
      type: object

````